curl -X POST "https://api.scanova.io/qr-assets/conditional-redirect-template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
]
}'
{
"id": 3,
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
],
"created": "2026-09-01T09:00:00Z",
"modified": "2026-09-01T09:00:00Z"
}
QR 资源
创建条件跳转模板
POST /qr-assets/conditional-redirect-template/
POST
/
qr-assets
/
conditional-redirect-template
/
curl -X POST "https://api.scanova.io/qr-assets/conditional-redirect-template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
]
}'
{
"id": 3,
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
],
"created": "2026-09-01T09:00:00Z",
"modified": "2026-09-01T09:00:00Z"
}
在 Management API 主机(
保存模板并不会自动将其附加到任何 QR 码——需要单独将其应用于某个 QR 码的条件跳转配置。
api.scanova.io)上保存一个新的条件跳转模板,使用您的原始 Management API 密钥进行身份验证。
POST https://api.scanova.io/qr-assets/conditional-redirect-template/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
必填
模板名称,最多 100 个字符。
array
必填
一个条件组数组。每组包含一个逻辑运算符
logic(AND/OR)、一个 {field, operator, value} 检查的 conditions 数组,以及一个将匹配扫描发送至的 redirect_url。curl -X POST "https://api.scanova.io/qr-assets/conditional-redirect-template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
]
}'
{
"id": 3,
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
],
"created": "2026-09-01T09:00:00Z",
"modified": "2026-09-01T09:00:00Z"
}
相关内容
- 列出条件跳转模板——查看已保存的模板。
- 更新条件跳转模板——编辑现有模板。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
201 - application/json
Template created.
此页面对您有帮助吗?